/*
Copyright 2012  Vesko Georgiev vesko.m.georgiev@gmail.com

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either 
version 3 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public 
License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.veskogeorgiev.utils;

import java.io.File;
import java.io.FileFilter;
import java.io.IOException;
import java.util.*;
import java.util.jar.*;

public class ClassSearcher {

	private static String pattern = "apple/laf/CoreUIControl.class";
	private static Set<String> set = new HashSet<String>();
	static {
		set.add("1.3");
		set.add("1.4");
		set.add("1.5");
		set.add("1.6");
		set.add("Home");

	}

	private static boolean searchJar(JarFile jf) {
		for (Enumeration<JarEntry> e = jf.entries(); e.hasMoreElements();) {
			JarEntry je = e.nextElement();
			if (je.toString().contains(pattern)) {
				return true;
			}
		}
		return false;
	}

	private static void traverse(File dir) {
		dir.listFiles(new FileFilter() {
			public boolean accept(File f) {
				if (f.isDirectory() && !set.contains(f.getName())) {
					traverse(f);
				}
				else if (f.getName().endsWith(".jar")) {
					try {
						if (searchJar(new JarFile(f))) {
							System.out.println(f + " ...");
						}
					}
					catch (IOException e) {
						// System.err.println("Invalid JAR file " + f);
					}
				}
				return false;
			}
		});
	}

	public static void main(String[] args) {
		File f = new File("/");
		traverse(f);
	}
}
