/*
Copyright 2012  Vesko Georgiev vesko.m.georgiev@gmail.com

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either 
version 3 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public 
License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.veskogeorgiev.utils.http;

import java.io.IOException;
import java.io.InputStream;

public class HttpResponse {
	private final int responseCode;
	private final InputStream inputStream;

	HttpResponse(int responseCode, InputStream inputStream) {
		this.responseCode = responseCode;
		this.inputStream = inputStream;
	}

	public int getResponseCode() {
		return responseCode;
	}

	public InputStream getInputStream() {
		return inputStream;
	}

	public String readBody() throws IOException {
		StringBuilder builder = new StringBuilder();
		byte[] buffer = new byte[1024];
		int len = 0;
		while ((len = inputStream.read(buffer)) > 0) {
			builder.append(new String(buffer, 0, len));
		}
		return builder.toString();
	}
}
