///*
//Copyright 2012  Vesko Georgiev vesko.m.georgiev@gmail.com
//
//This library is free software; you can redistribute it and/or
//modify it under the terms of the GNU Lesser General Public
//License as published by the Free Software Foundation; either 
//version 3 of the License, or (at your option) any later version.
//
//This library is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
//Lesser General Public License for more details.
//
//You should have received a copy of the GNU Lesser General Public 
//License along with this library.  If not, see <http://www.gnu.org/licenses/>.
// */
//package com.veskogeorgiev.utils.http;
//
//import java.io.IOException;
//import java.io.InputStream;
//import java.net.URLEncoder;
//import java.util.ArrayList;
//import java.util.List;
//import java.util.Map;
//import java.util.Map.Entry;
//import java.util.Set;
//
//import org.apache.http.HttpResponse;
//import org.apache.http.HttpVersion;
//import org.apache.http.NameValuePair;
//import org.apache.http.client.ClientProtocolException;
//import org.apache.http.client.entity.UrlEncodedFormEntity;
//import org.apache.http.client.methods.HttpGet;
//import org.apache.http.client.methods.HttpPost;
//import org.apache.http.entity.InputStreamEntity;
//import org.apache.http.impl.client.DefaultHttpClient;
//import org.apache.http.message.BasicNameValuePair;
//import org.apache.http.params.BasicHttpParams;
//import org.apache.http.params.HttpParams;
//import org.apache.http.params.HttpProtocolParams;
//
//public class HttpUtil {
//
//	private static HttpParams getDefaultParameters() {
//		HttpParams params = new BasicHttpParams();
//		HttpProtocolParams.setVersion(params, HttpVersion.HTTP_1_0);
//		HttpProtocolParams.setContentCharset(params, "UTF-8");
//		HttpProtocolParams.setUserAgent(params, "HttpComponents/1.1");
//		HttpProtocolParams.setUseExpectContinue(params, true);
//
//		return params;
//	}
//
//	// ///////////////////////////////////////////////////////////////////////////////////
//	// Get stream content
//	// ///////////////////////////////////////////////////////////////////////////////////
//
//	public static String readString(InputStream input) throws IOException {
//		if (input != null) {
//			StringBuilder str = new StringBuilder();
//			byte[] bytes = new byte[1024];
//			int len = 0;
//			while ((len = input.read(bytes)) > 0) {
//				str.append(new String(bytes, 0, len));
//			}
//			return str.toString();			
//		}
//		return null;
//	}
//
//	public static String readString(HttpResponse response) throws IOException {
//		if (response != null && response.getEntity() != null) {
//			return readString(response.getEntity().getContent());
//		}
//		return null;
//	}
//
//	// ///////////////////////////////////////////////////////////////////////////////////
//	// POST
//	// ///////////////////////////////////////////////////////////////////////////////////
//
//	public static HttpResponse post(String url, Headers headers, Map<String, String> content) throws IOException {
//		DefaultHttpClient httpClient = new DefaultHttpClient();
//
//		HttpPost post = new HttpPost(url);
//		post.setParams(getDefaultParameters());
//
//		if (headers != null) {
//			for (Entry<String, String> e : headers.entrySet()) {
//				post.addHeader(e.getKey(), e.getValue());
//			}
//		}
//
//		List<NameValuePair> nvps = new ArrayList<NameValuePair>();
//		if (content != null) {
//			for (Entry<String, String> e : content.entrySet()) {
//				nvps.add(new BasicNameValuePair(e.getKey(), e.getValue()));
//			}
//		}
//		post.setEntity(new UrlEncodedFormEntity(nvps));
//
//		return httpClient.execute(post);
//	}
//
//	public static HttpResponse post(String url, Headers headers, InputStream content) throws ClientProtocolException, IOException {
//		DefaultHttpClient httpClient = new DefaultHttpClient();
//
//		HttpPost post = new HttpPost(url);
//		post.setParams(getDefaultParameters());
//
//		if (headers != null) {
//			for (Entry<String, String> e : headers.entrySet()) {
//				post.addHeader(e.getKey(), e.getValue());
//			}
//		}
//
//		if (content != null) {
//			post.setEntity(new InputStreamEntity(content, content.available()));
//		}
//		return httpClient.execute(post);
//	}
//
//	public static HttpResponse post(String url, Headers headers) throws ClientProtocolException, IOException {
//		return post(url, headers, (Map<String, String>) null);
//	}
//
//	public static HttpResponse post(String url) throws ClientProtocolException, IOException {
//		return post(url, null, (Map<String, String>) null);
//	}
//
//	// ///////////////////////////////////////////////////////////////////////////////////
//	// GET
//	// ///////////////////////////////////////////////////////////////////////////////////
//
//	public static HttpResponse get(String url, Headers headers, Map<String, String> parameters) throws ClientProtocolException, IOException {
//		DefaultHttpClient httpClient = new DefaultHttpClient();
//
//		StringBuilder builder = new StringBuilder(url);
//		if (parameters != null) {
//			Set<Entry<String, String>> set = parameters.entrySet();
//			if (set.size() > 0) {
//				builder.append("?");
//				for (Entry<String, String> e : parameters.entrySet()) {
//					builder.append(e.getKey() + "=" + URLEncoder.encode(e.getValue(), "utf-8"));
//				}
//			}
//		}
//
//		HttpGet get = new HttpGet(builder.toString());
//		get.setParams(getDefaultParameters());
//
//		if (headers != null) {
//			for (Entry<String, String> e : headers.entrySet()) {
//				get.addHeader(e.getKey(), e.getValue());
//			}
//		}
//		return httpClient.execute(get);
//	}
//
//	public static void main(String[] args) {
//		System.out.println();
//	}
//}
