/*
Copyright 2012  Vesko Georgiev vesko.m.georgiev@gmail.com

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either 
version 3 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public 
License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.veskogeorgiev.utils.io;

import java.io.File;
import java.security.InvalidParameterException;

public class FileTraverser {

	private FileProcessor processor;

	public void setProcessor(FileProcessor processor) {
		this.processor = processor;
	}

	public FileTraverser() {
		// do nothing
	}

	public FileTraverser(FileProcessor processor) {
		this.processor = processor;
	}

	private void _traverse(File file) {
		if (file.isDirectory()) {
			for (File f : file.listFiles()) {
				_traverse(f);
			}
		}
		else {
			processor.process(file);
		}
	}

	public void traverse(File file) {
		if (!file.exists()) {
			throw new InvalidParameterException(file + " does not exist.");
		}
		else {
			_traverse(file);
		}
	}
}
