/*
Copyright 2012  Vesko Georgiev vesko.m.georgiev@gmail.com

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either 
version 3 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public 
License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.veskogeorgiev.utils.jdbc;

public class PreparedUpdateStatement {
	private UpdateStatement stm = new UpdateStatement();

	public PreparedUpdateStatement() {
		//
	}

	public PreparedUpdateStatement(String tableName) {
		stm.withTableName(tableName);
	}

	public PreparedUpdateStatement withTableName(String tableName) {
		stm.withTableName(tableName);
		return this;
	}

	public PreparedUpdateStatement withColumns(String... columns) {
		stm.withColumns(columns);
		String[] values = new String[columns.length];
		for (int i = 0; i < values.length; i++) {
			values[i] = "?";
		}
		stm.withValues(values);
		return this;
	}

	public PreparedUpdateStatement withCondition(String condition) {
		stm.withCondition(condition);
		return this;
	}

	@Override
	public String toString() {
		return stm.toString();
	}

}
